// Access to Bootstrap variables and mixins
@import '~ChillMainAssets/module/bootstrap/shared';

div#single_task_warningInterval {
    display: flex;
    flex-direction: row;
    justify-content: flex-end;
    div.container {
        display: flex;
        flex-direction: row;
        justify-content: flex-end;
        & > div:first-child {
            display:none;  /* Hide the label container */
        }
        & > div {
            padding-right: 0;
            width: 7em;
        }
        input[type="text"] {
            height: 35px;
        }
    }
}

.btn-task-label {
    display: inline-flex;
    margin-bottom: 0.2em;
    font-size: 0.8em;
    text-transform: capitalize;
}

.btn-task {
    display: inline-block;
    height: 0;
    width: 8px;
}

.btn-task-exchange {
    background: $chill-green;
    color: #fff;
}
.btn-task-exchange:hover {
    background: $chill-green-dark;
    color: #fff;
}

.btn-task-exchange::before {
    @extend .btn-task;
    width: 10px;
    content: url('./svg/exchange-alt.svg');
}

.btn-task-start::before {
    @extend .btn-task;
    content: url('./svg/play.svg');
}

.btn-task-cancel::before {
    @extend .btn-task;
    content: url('./svg/archive.svg');
}

.btn-task-close::before {
    @extend .btn-task;
    content: url('./svg/check.svg');
}

.btn-dropdown {
    position: relative;
    display: inline-block;
}

.btn-dropdown-content {
    display: none;
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    a {
      margin: 0.4em;
    }
}

.btn-dropdown:hover .btn-dropdown-content {
    display: inline-block;
    width: min-content;
}
